﻿#region using

using System;
using System.Windows.Forms;
using fomm.Scripting;

#endregion

class Script : FalloutNewVegasBaseScript
{
    // Entry point.
    public static bool OnActivate()
    {
        if (!DataFileExists("Interface/favoritesmenu.cfg"))
        {
            DialogResult dr = MessageBox(
                "Did not detect a favoritesmenu.cfg file. Select an option:" + Environment.NewLine +
                Environment.NewLine +
                "Yes: Copy sample configuration to favoritesmenu.cfg. Upon upgrade/uninstall, NMM deletes this file." + Environment.NewLine +
                "No: Do nothing. Manually rename favoritesmenu_sample.cfg to favoritesmenu.cfg after mod installation." + Environment.NewLine +
                "Cancel: Cancel mod installation.",
                "ExpFavMenu - Config file not found", MessageBoxButtons.YesNoCancel);
            if (dr == DialogResult.Cancel)
                return false;
            if (dr == DialogResult.Yes)
                CopyDataFile("Interface/favoritesmenu_sample.cfg", "Interface/favoritesmenu.cfg");
        }
        InstallFileFromFomod("Interface/favoritesmenu.swf");
        InstallFileFromFomod("Interface/Readme - ExpFavMenu.txt");
        InstallFileFromFomod("Interface/favoritesmenu_sample.cfg");
        InstallFileFromFomod("SKSE/plugins/skse_fileio.dll");
        InstallFileFromFomod("SKSE/plugins/skse_regex.dll");
        return true;
    }
}